Issue 87723

Summary: st9bad_alloc / could not load input document
Product: Impress Reporter: rs_doubleslash <dgrundler>
Component: open-importAssignee: AOO issues mailing list <issues>
Status: CONFIRMED --- QA Contact:
Severity: Trivial    
Priority: P3 CC: issues, lohmaier, longint, merschmann
Version: OOo 2.4.0Keywords: needmoreinfo, oooqa
Target Milestone: ---   
Hardware: PC   
OS: All   
Issue Type: DEFECT Latest Confirmation in: ---
Developer Difficulty: ---
Attachments:
Description Flags
Error Report when open an generated .ppt file with OO
none
strace log while opening a generated ppt
none
Testdata ppt-file which chrashes when open it with 2.3 and 2.4 (win & unix) none

Description rs_doubleslash 2008-04-02 08:52:36 UTC
We want to use OpenOffice running in background, to convert ppts to pdfs. The
ppts are generated with Tonic Systems API. With PowerPoint the reports can be
read, but OpenOffice can't load them and chrashes with this error:
"st9bad_alloc" on the command line.
We can't find any regularity in arising of the issue. We think that the size of
the generated ppt my be a reason.
With OpenOffice 2.2.1 on a Windows system the loading/converting works. But we
use a OpenOffice 2.3.1 on a Linux system. The same issue arises in OpenOffice
2.4 on our System.
If there is a workaround, please let us know.
Comment 1 merschmann 2008-04-02 09:00:05 UTC
Changing component (Presentation)

An example file would be useful for further investigation.
Comment 2 rs_doubleslash 2008-04-02 09:24:53 UTC
I'm sorry, I can't give you an example file because on legal grouds.
One file, for example is 1.63 MByte big and contains 67 slides. 
Comment 3 rs_doubleslash 2008-04-03 07:51:22 UTC
Loading and converting with OO 2.2.1 works also on a LINUX SYSTEM.
Comment 4 merschmann 2008-04-03 09:13:37 UTC
Reassigning. (Sorry, forgot that.)
Comment 5 rs_doubleslash 2008-04-03 09:33:33 UTC
Until the issue is resolved, we want to use OO 2.2.1. But 2.2.1 cannot be opened
-headless without using a X-server. Do you know a workaround to open it
headless? Pleas let us know, Thanks.
Comment 6 rs_doubleslash 2008-04-03 09:52:22 UTC
Created attachment 52490 [details]
Error Report when open an generated .ppt file with OO
Comment 7 christian.guenther 2008-04-03 10:22:38 UTC
Please attach one of the ppt files to reproduce the bug.
Comment 8 longint 2008-04-03 12:57:23 UTC
As he wrote before, he is not able/allowed to post a ppt here. I've had similar
issues with some PPT. OOO just crashed when one tried to open it (regardless
which system as long it has been 2.3, 2.3.1 or 2.4). Is there any way to produce
some more output or logfile to get this issoes tracked down?

My PPT is gone but I managed to find a strace:

/tmp $ strace ooimpress test.ppt
execve("/usr/bin/ooimpress", ["ooimpress", "test.ppt"], [/* 55 vars */]) = 0
brk(0)                                  = 0x80ee000
access("/etc/ld.so.preload", R_OK)      = -1 ENOENT (No such file or directory)
open("/etc/ld.so.cache", O_RDONLY)      = 3
fstat64(3, {st_mode=S_IFREG|0644, st_size=148504, ...}) = 0
mmap2(NULL, 148504, PROT_READ, MAP_PRIVATE, 3, 0) = 0xb7f4a000
close(3)                                = 0
open("/lib/libncurses.so.5", O_RDONLY)  = 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0P\346\0\0004\0\0\0"...,
512) = 512
fstat64(3, {st_mode=S_IFREG|0755, st_size=258956, ...}) = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0xb7f49000
mmap2(NULL, 259940, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) =
0xb7f09000
mmap2(0xb7f40000, 32768, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x37) = 0xb7f40000
mmap2(0xb7f48000, 1892, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0xb7f48000
close(3)                                = 0
open("/lib/libdl.so.2", O_RDONLY)       = 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0p\n\0\0004\0\0\0"...,
512) = 512
fstat64(3, {st_mode=S_IFREG|0755, st_size=9612, ...}) = 0
mmap2(NULL, 12412, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) =
0xb7f05000
mmap2(0xb7f07000, 8192, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x1) = 0xb7f07000
close(3)                                = 0
open("/lib/libc.so.6", O_RDONLY)        = 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0`e\1\0004\0\0\0"...,
512) = 512
fstat64(3, {st_mode=S_IFREG|0755, st_size=1253660, ...}) = 0
mmap2(NULL, 1263152, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) =
0xb7dd0000
mmap2(0xb7eff000, 12288, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x12e) = 0xb7eff000
mmap2(0xb7f02000, 9776, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0xb7f02000
close(3)                                = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0xb7dcf000
set_thread_area({entry_number:-1 -> 6, base_addr:0xb7dcf6c0, limit:1048575,
seg_32bit:1, contents:0, read_exec_only:0, limit_in_pages:1, seg_not_present:0,
useable:1}) = 0
mprotect(0xb7eff000, 8192, PROT_READ)   = 0
mprotect(0xb7f07000, 4096, PROT_READ)   = 0
mprotect(0x80e3000, 4096, PROT_READ)    = 0
mprotect(0xb7f89000, 4096, PROT_READ)   = 0
munmap(0xb7f4a000, 148504)              = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
open("/dev/tty", O_RDWR|O_NONBLOCK|O_LARGEFILE) = 3
close(3)                                = 0
brk(0)                                  = 0x80ee000
brk(0x810f000)                          = 0x810f000
getuid32()                              = 1000
getgid32()                              = 100
geteuid32()                             = 1000
getegid32()                             = 100
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
time(NULL)                              = 1207223648
open("/proc/meminfo", O_RDONLY)         = 3
fstat64(3, {st_mode=S_IFREG|0444, st_size=0, ...}) = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0xb7f6e000
read(3, "MemTotal:      2075672 kB\nMemFre"..., 1024) = 728
close(3)                                = 0
munmap(0xb7f6e000, 4096)                = 0
rt_sigaction(SIGCHLD, {SIG_DFL}, {SIG_DFL}, 8) = 0
rt_sigaction(SIGCHLD, {SIG_DFL}, {SIG_DFL}, 8) = 0
rt_sigaction(SIGINT, {SIG_DFL}, {SIG_DFL}, 8) = 0
rt_sigaction(SIGINT, {SIG_DFL}, {SIG_DFL}, 8) = 0
rt_sigaction(SIGQUIT, {SIG_DFL}, {SIG_DFL}, 8) = 0
rt_sigaction(SIGQUIT, {SIG_DFL}, {SIG_DFL}, 8) = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigaction(SIGQUIT, {SIG_IGN}, {SIG_DFL}, 8) = 0
uname({sys="Linux", node="toral.ds.de", ...}) = 0
stat64("/tmp", {st_mode=S_IFDIR|S_ISVTX|0777, st_size=576, ...}) = 0
stat64(".", {st_mode=S_IFDIR|S_ISVTX|0777, st_size=576, ...}) = 0
getpid()                                = 10542
getppid()                               = 10541
getpgrp()                               = 10541
rt_sigaction(SIGCHLD, {0x807b170, [], 0}, {SIG_DFL}, 8) = 0
getrlimit(RLIMIT_NPROC, {rlim_cur=16382, rlim_max=16382}) = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
open("/usr/bin/ooimpress", O_RDONLY|O_LARGEFILE) = 3
ioctl(3, SNDCTL_TMR_TIMEBASE or TCGETS, 0xbfcd2a28) = -1 ENOTTY (Inappropriate
ioctl for device)
_llseek(3, 0, [0], SEEK_CUR)            = 0
read(3, "#!/bin/sh\nunset PYTHONPATH\n/usr/"..., 80) = 77
_llseek(3, 0, [0], SEEK_SET)            = 0
getrlimit(RLIMIT_NOFILE, {rlim_cur=1024, rlim_max=1024}) = 0
dup2(3, 255)                            = 255
close(3)                                = 0
fcntl64(255, F_SETFD, FD_CLOEXEC)       = 0
fcntl64(255, F_GETFL)                   = 0x8000 (flags O_RDONLY|O_LARGEFILE)
fstat64(255, {st_mode=S_IFREG|0755, st_size=77, ...}) = 0
_llseek(255, 0, [0], SEEK_CUR)          = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
read(255, "#!/bin/sh\nunset PYTHONPATH\n/usr/"..., 77) = 77
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, [INT CHLD], [], 8) = 0
clone(child_stack=0, flags=CLONE_CHILD_CLEARTID|CLONE_CHILD_SETTID|SIGCHLD,
child_tidptr=0xb7dcf708) = 10543
rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
rt_sigprocmask(SIG_BLOCK, [CHLD], [], 8) = 0
rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
rt_sigprocmask(SIG_BLOCK, [CHLD], [], 8) = 0
rt_sigaction(SIGINT, {0x807bc84, [], 0}, {SIG_DFL}, 8) = 0
waitpid(-1, [{WIFEXITED(s) && WEXITSTATUS(s) == 0}], 0) = 10543
rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
--- SIGCHLD (Child exited) @ 0 (0) ---
waitpid(-1, 0xbfcd25d8, WNOHANG)        = -1 ECHILD (No child processes)
sigreturn()                             = ? (mask now [])
rt_sigaction(SIGINT, {SIG_DFL}, {0x807bc84, [], 0}, 8) = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
read(255, "", 77)                       = 0
exit_group(0)                           = ?
Comment 9 rs_doubleslash 2008-04-03 14:16:27 UTC
Created attachment 52499 [details]
strace log while opening a generated ppt
Comment 10 lohmaier 2008-04-06 15:49:00 UTC
Please try again with vanilla OOo (and not the OOo provided by your distribution).
Comment 11 rs_doubleslash 2008-07-01 12:44:06 UTC
Created attachment 54861 [details]
Testdata ppt-file which chrashes when open it with 2.3 and 2.4 (win & unix)
Comment 12 longint 2008-07-01 14:55:56 UTC
Thx, also crashing here using OOO3  (linux) but can be opened in Powerpoint.
Comment 13 longint 2008-07-01 15:04:24 UTC
Works also fine using OOO2.2 running on windows.
Comment 14 merschmann 2008-07-01 16:01:39 UTC
Crashing m21 and 2.4 on WinXP too, works with Powerpoint 2003
Comment 15 rs_doubleslash 2008-07-14 09:36:08 UTC
After i attached an example-file i want to know: when can i get a solution for
this problem? Do you still fix it in OOo3?

Please let me know, if there are new facts

Thanks!
Comment 16 merschmann 2008-07-14 10:03:45 UTC
@rs_doubleslash: There is no target milestone given at this moment, so you can
not expect to have this fixed for 3.0, sorry.
Comment 17 longint 2008-11-26 16:08:41 UTC
Any news in here?
Any chance to get this fixed in the near future to be able to migrate to OOO3?
Comment 18 rs_doubleslash 2009-01-28 13:17:09 UTC
Is there any solution to this problem?

Will this problem be fixed in the near future?